#include "nomad/version.hxx"

std::string nomad::get_project_version() { return "@PROJECT_VERSION@"; }

unsigned nomad::get_project_version_major() { return @PROJECT_VERSION_MAJOR@; }

unsigned nomad::get_project_version_minor() {
  return @PROJECT_VERSION_MINOR@+0;
}

unsigned nomad::get_project_version_patch() {
  return @PROJECT_VERSION_PATCH@+0;
}

unsigned nomad::get_project_version_tweak() {
  return @PROJECT_VERSION_TWEAK@+0;
}
